diff --git a/meson.build b/meson.build
index d7c5193d4ce..4972c7b26d4 100644
--- a/meson.build
+++ b/meson.build
@@ -3466,59 +3504,59 @@ endif
 # generation happens during install, so that's not a real issue.
 nls_mo_targets = []
 if libintl.found() and meson.version().version_compare('>=0.60')
-  # use range() to avoid the flattening of the list that foreach() would do
-  foreach off : range(0, nls_targets.length())
-    # i18n.gettext() list containing 1) list of built .mo files 2) maintainer
-    # -pot target 3) maintainer -pot target
-    nls_mo_targets += nls_targets[off][0]
-  endforeach
-  alias_target('nls', nls_mo_targets)
+	# use range() to avoid the flattening of the list that foreach() would do
+	foreach off : range(0, nls_targets.length())
+		# i18n.gettext() list containing 1) list of built .mo files 2) maintainer
+		# -pot target 3) maintainer -pot target
+		nls_mo_targets += nls_targets[off][0]
+	endforeach
+	alias_target('nls', nls_mo_targets)
 endif
 
 
 # all targets that 'meson install' needs
 installed_targets = [
-  backend_targets,
-  bin_targets,
-  libpq_st,
-  pl_targets,
-  contrib_targets,
-  nls_mo_targets,
-  ecpg_targets,
+	backend_targets,
+	bin_targets,
+	libpq_st,
+	pl_targets,
+	contrib_targets,
+	nls_mo_targets,
+	ecpg_targets,
 ]
 
 if oauth_flow_supported
-  installed_targets += [
-    libpq_oauth_so,
-    libpq_oauth_st,
-  ]
+	installed_targets += [
+		libpq_oauth_so,
+		libpq_oauth_st,
+	]
 endif
 
 # all targets that require building code
 all_built = [
-  installed_targets,
-  testprep_targets,
+	installed_targets,
+	testprep_targets,
 ]
 
 # Meson's default install target is quite verbose. Provide one that is quiet.
 install_quiet = custom_target('install-quiet',
-  output: 'install-quiet',
-  build_always_stale: true,
-  build_by_default: false,
-  command: [meson_bin, meson_args, 'install', '--quiet', '--no-rebuild'],
-  depends: installed_targets,
+	output: 'install-quiet',
+	build_always_stale: true,
+	build_by_default: false,
+	command: [meson_bin, meson_args, 'install', '--quiet', '--no-rebuild'],
+	depends: installed_targets,
 )
 
 # Target to install files used for tests, which aren't installed by default
 install_test_files_args = [
-  install_files,
-  '--prefix', dir_prefix,
-  '--install', contrib_data_dir, test_install_data,
-  '--install', dir_lib_pkg, test_install_libs,
+	install_files,
+	'--prefix', dir_prefix,
+	'--install', contrib_data_dir, test_install_data,
+	'--install', dir_lib_pkg, test_install_libs,
 ]
 run_target('install-test-files',
-  command: [python] + install_test_files_args,
-  depends: testprep_targets,
+	command: [python] + install_test_files_args,
+	depends: testprep_targets,
 )
 
 
@@ -3532,44 +3570,44 @@ test_install_destdir = meson.project_build_root() / 'tmp_install/'
 
 # DESTDIR + prefix appropriately munged
 if build_system != 'windows'
-  # On unixoid systems this is trivial, we just prepend the destdir
-  assert(dir_prefix.startswith('/')) # enforced by meson
-  temp_install_bindir = '@0@@1@'.format(test_install_destdir, dir_prefix / dir_bin)
-  temp_install_libdir = '@0@@1@'.format(test_install_destdir, dir_prefix / dir_lib)
+	# On unixoid systems this is trivial, we just prepend the destdir
+	assert(dir_prefix.startswith('/')) # enforced by meson
+	temp_install_bindir = '@0@@1@'.format(test_install_destdir, dir_prefix / dir_bin)
+	temp_install_libdir = '@0@@1@'.format(test_install_destdir, dir_prefix / dir_lib)
 else
-  # drives, drive-relative paths, etc make this complicated on windows, call
-  # into a copy of meson's logic for it
-  command = [
-    python, '-c',
-    'import sys; from pathlib import PurePath; d1=sys.argv[1]; d2=sys.argv[2]; print(str(PurePath(d1, *PurePath(d2).parts[1:])))',
-    test_install_destdir]
-  temp_install_bindir = run_command(command, dir_prefix / dir_bin, check: true).stdout().strip()
-  temp_install_libdir = run_command(command, dir_prefix / dir_lib, check: true).stdout().strip()
+	# drives, drive-relative paths, etc make this complicated on windows, call
+	# into a copy of meson's logic for it
+	command = [
+		python, '-c',
+		'import sys; from pathlib import PurePath; d1=sys.argv[1]; d2=sys.argv[2]; print(str(PurePath(d1, *PurePath(d2).parts[1:])))',
+		test_install_destdir]
+	temp_install_bindir = run_command(command, dir_prefix / dir_bin, check: true).stdout().strip()
+	temp_install_libdir = run_command(command, dir_prefix / dir_lib, check: true).stdout().strip()
 endif
 
 meson_install_args = meson_args + ['install'] + {
-    'meson': ['--quiet', '--only-changed', '--no-rebuild'],
-    'muon': []
+		'meson': ['--quiet', '--only-changed', '--no-rebuild'],
+		'muon': []
 }[meson_impl]
 
 # setup tests should be run first,
 # so define priority for these
 setup_tests_priority = 100
 test('tmp_install',
-    meson_bin, args: meson_install_args ,
-    env: {'DESTDIR':test_install_destdir},
-    priority: setup_tests_priority,
-    timeout: 300,
-    is_parallel: false,
-    depends: installed_targets,
-    suite: ['setup'])
+		meson_bin, args: meson_install_args ,
+		env: {'DESTDIR':test_install_destdir},
+		priority: setup_tests_priority,
+		timeout: 300,
+		is_parallel: false,
+		depends: installed_targets,
+		suite: ['setup'])
 
 test('install_test_files',
-    python,
-    args: install_test_files_args + ['--destdir', test_install_destdir],
-    priority: setup_tests_priority,
-    is_parallel: false,
-    suite: ['setup'])
+		python,
+		args: install_test_files_args + ['--destdir', test_install_destdir],
+		priority: setup_tests_priority,
+		is_parallel: false,
+		suite: ['setup'])
 
 test_result_dir = meson.project_build_root() / 'testrun'
 
@@ -3593,7 +3631,7 @@ test_env.set('top_builddir', meson.project_build_root())
 # that works (everything but windows, basically). On windows everything
 # library-like gets installed into bindir, solving that issue.
 if library_path_var != ''
-  test_env.prepend(library_path_var, temp_install_libdir)
+	test_env.prepend(library_path_var, temp_install_libdir)
 endif
 
 
@@ -3603,9 +3641,9 @@ endif
 # Use python to remove the old cached initdb, as we cannot rely on a working
 # 'rm' binary on windows.
 test('initdb_cache',
-     python,
-     args: [
-       '-c', '''
+		 python,
+		 args: [
+			 '-c', '''
 import shutil
 import sys
 import subprocess
@@ -3614,16 +3652,16 @@ shutil.rmtree(sys.argv[1], ignore_errors=True)
 sp = subprocess.run(sys.argv[2:] + [sys.argv[1]])
 sys.exit(sp.returncode)
 ''',
-       test_initdb_template,
-       temp_install_bindir / 'initdb',
-       '--auth', 'trust', '--no-sync', '--no-instructions', '--lc-messages=C',
-       '--no-clean'
-     ],
-     priority: setup_tests_priority - 1,
-     timeout: 300,
-     is_parallel: false,
-     env: test_env,
-     suite: ['setup'])
+			 test_initdb_template,
+			 temp_install_bindir / 'initdb',
+			 '--auth', 'trust', '--no-sync', '--no-instructions', '--lc-messages=C',
+			 '--no-clean'
+		 ],
+		 priority: setup_tests_priority - 1,
+		 timeout: 300,
+		 is_parallel: false,
+		 env: test_env,
+		 suite: ['setup'])
 
 
 
@@ -3642,186 +3680,186 @@ install_suites = []
 testwrap = files('src/tools/testwrap')
 
 foreach test_dir : tests
-  testwrap_base = [
-    testwrap,
-    '--basedir', meson.project_build_root(),
-    '--srcdir', test_dir['sd'],
-    # Some test suites are not run by default but can be run if selected by the
-    # user via variable PG_TEST_EXTRA. Pass configuration time value of
-    # PG_TEST_EXTRA as an argument to testwrap so that it can be overridden by
-    # run time value, if any.
-    '--pg-test-extra', get_option('PG_TEST_EXTRA'),
-  ]
-
-  foreach kind, v : test_dir
-    if kind in ['sd', 'bd', 'name']
-      continue
-    endif
-
-    t = test_dir[kind]
-
-    if kind in ['regress', 'isolation', 'ecpg']
-      if kind == 'regress'
-        runner = pg_regress
-        fallback_dbname = 'regression_@0@'
-      elif kind == 'isolation'
-        runner = pg_isolation_regress
-        fallback_dbname = 'isolation_regression_@0@'
-      elif kind == 'ecpg'
-        runner = pg_regress_ecpg
-        fallback_dbname = 'ecpg_regression_@0@'
-      endif
-
-      test_group = test_dir['name']
-      test_group_running = test_dir['name'] + '-running'
-
-      test_output = test_result_dir / test_group / kind
-      test_output_running = test_result_dir / test_group_running/ kind
-
-      # Unless specified by the test, choose a non-conflicting database name,
-      # to avoid conflicts when running against existing server.
-      dbname = t.get('dbname',
-        fallback_dbname.format(test_dir['name']))
-
-      test_command_base = [
-        runner.full_path(),
-        '--inputdir', t.get('inputdir', test_dir['sd']),
-        '--expecteddir', t.get('expecteddir', test_dir['sd']),
-        '--bindir', '',
-        '--dlpath', test_dir['bd'],
-        '--max-concurrent-tests=20',
-        '--dbname', dbname,
-      ] + t.get('regress_args', [])
-
-      test_schedule = t.get('schedule', [])
-
-      test_selection = []
-      if kind == 'isolation'
-        test_selection += t.get('specs', [])
-      else
-        test_selection += t.get('sql', [])
-      endif
-
-      env = test_env
-      env.prepend('PATH', temp_install_bindir, test_dir['bd'])
-
-      test_kwargs = {
-        'protocol': 'tap',
-        'priority': 10,
-        'timeout': 1000,
-        'depends': test_deps + t.get('deps', []),
-        'env': env,
-      } + t.get('test_kwargs', {})
-
-      test(test_group / kind,
-        python,
-        args: [
-          testwrap_base,
-          '--testgroup', test_group,
-          '--testname', kind,
-          '--schedule', test_schedule,
-          '--tests', test_selection,
-          '--',
-          test_command_base,
-          '--outputdir', test_output,
-          '--temp-instance', test_output / 'tmp_check',
-          '--port', testport.to_string(),
-        ],
-        suite: test_group,
-        kwargs: test_kwargs,
-      )
-      install_suites += test_group
-
-      # some tests can't support running against running DB
-      if t.get('runningcheck', true)
-        test(test_group_running / kind,
-          python,
-          args: [
-            testwrap_base,
-            '--testgroup', test_group_running,
-            '--testname', kind,
-            '--schedule', test_schedule,
-            '--tests', test_selection,
-            '--',
-            test_command_base,
-            '--outputdir', test_output_running,
-          ],
-          is_parallel: t.get('runningcheck-parallel', true),
-          suite: test_group_running,
-          kwargs: test_kwargs,
-        )
-        running_suites += test_group_running
-      endif
-
-      testport += 1
-    elif kind == 'tap'
-      testwrap_tap = testwrap_base
-      if not tap_tests_enabled
-        testwrap_tap += ['--skip', 'TAP tests not enabled']
-      endif
-
-      test_command = [
-        perl.full_path(),
-        '-I', meson.project_source_root() / 'src/test/perl',
-        '-I', test_dir['sd'],
-      ]
-
-      # Add temporary install, the build directory for non-installed binaries and
-      # also test/ for non-installed test binaries built separately.
-      env = test_env
-      env.prepend('PATH', temp_install_bindir, test_dir['bd'], test_dir['bd'] / 'test')
-      temp_install_datadir = '@0@@1@'.format(test_install_destdir, dir_prefix / dir_data)
-      env.set('share_contrib_dir', temp_install_datadir / 'contrib')
-
-      foreach name, value : t.get('env', {})
-        env.set(name, value)
-      endforeach
-
-      test_group = test_dir['name']
-      test_kwargs = {
-        'protocol': 'tap',
-        'suite': test_group,
-        'timeout': 1000,
-        'depends': test_deps + t.get('deps', []),
-        'env': env,
-      } + t.get('test_kwargs', {})
-
-      foreach onetap : t['tests']
-        # Make tap test names prettier, remove t/ and .pl
-        onetap_p = onetap
-        if onetap_p.startswith('t/')
-          onetap_p = onetap.split('t/')[1]
-        endif
-        if onetap_p.endswith('.pl')
-          onetap_p = fs.stem(onetap_p)
-        endif
-
-        test(test_dir['name'] / onetap_p,
-          python,
-          kwargs: test_kwargs,
-          args: testwrap_tap + [
-            '--testgroup', test_dir['name'],
-            '--testname', onetap_p,
-            '--', test_command,
-            test_dir['sd'] / onetap,
-          ],
-        )
-      endforeach
-      install_suites += test_group
-    else
-      error('unknown kind @0@ of test in @1@'.format(kind, test_dir['sd']))
-    endif
-
-  endforeach # kinds of tests
+	testwrap_base = [
+		testwrap,
+		'--basedir', meson.project_build_root(),
+		'--srcdir', test_dir['sd'],
+		# Some test suites are not run by default but can be run if selected by the
+		# user via variable PG_TEST_EXTRA. Pass configuration time value of
+		# PG_TEST_EXTRA as an argument to testwrap so that it can be overridden by
+		# run time value, if any.
+		'--pg-test-extra', get_option('PG_TEST_EXTRA'),
+	]
+
+	foreach kind, v : test_dir
+		if kind in ['sd', 'bd', 'name']
+			continue
+		endif
+
+		t = test_dir[kind]
+
+		if kind in ['regress', 'isolation', 'ecpg']
+			if kind == 'regress'
+				runner = pg_regress
+				fallback_dbname = 'regression_@0@'
+			elif kind == 'isolation'
+				runner = pg_isolation_regress
+				fallback_dbname = 'isolation_regression_@0@'
+			elif kind == 'ecpg'
+				runner = pg_regress_ecpg
+				fallback_dbname = 'ecpg_regression_@0@'
+			endif
+
+			test_group = test_dir['name']
+			test_group_running = test_dir['name'] + '-running'
+
+			test_output = test_result_dir / test_group / kind
+			test_output_running = test_result_dir / test_group_running/ kind
+
+			# Unless specified by the test, choose a non-conflicting database name,
+			# to avoid conflicts when running against existing server.
+			dbname = t.get('dbname',
+				fallback_dbname.format(test_dir['name']))
+
+			test_command_base = [
+				runner.full_path(),
+				'--inputdir', t.get('inputdir', test_dir['sd']),
+				'--expecteddir', t.get('expecteddir', test_dir['sd']),
+				'--bindir', '',
+				'--dlpath', test_dir['bd'],
+				'--max-concurrent-tests=20',
+				'--dbname', dbname,
+			] + t.get('regress_args', [])
+
+			test_schedule = t.get('schedule', [])
+
+			test_selection = []
+			if kind == 'isolation'
+				test_selection += t.get('specs', [])
+			else
+				test_selection += t.get('sql', [])
+			endif
+
+			env = test_env
+			env.prepend('PATH', temp_install_bindir, test_dir['bd'])
+
+			test_kwargs = {
+				'protocol': 'tap',
+				'priority': 10,
+				'timeout': 1000,
+				'depends': test_deps + t.get('deps', []),
+				'env': env,
+			} + t.get('test_kwargs', {})
+
+			test(test_group / kind,
+				python,
+				args: [
+					testwrap_base,
+					'--testgroup', test_group,
+					'--testname', kind,
+					'--schedule', test_schedule,
+					'--tests', test_selection,
+					'--',
+					test_command_base,
+					'--outputdir', test_output,
+					'--temp-instance', test_output / 'tmp_check',
+					'--port', testport.to_string(),
+				],
+				suite: test_group,
+				kwargs: test_kwargs,
+			)
+			install_suites += test_group
+
+			# some tests can't support running against running DB
+			if t.get('runningcheck', true)
+				test(test_group_running / kind,
+					python,
+					args: [
+						testwrap_base,
+						'--testgroup', test_group_running,
+						'--testname', kind,
+						'--schedule', test_schedule,
+						'--tests', test_selection,
+						'--',
+						test_command_base,
+						'--outputdir', test_output_running,
+					],
+					is_parallel: t.get('runningcheck-parallel', true),
+					suite: test_group_running,
+					kwargs: test_kwargs,
+				)
+				running_suites += test_group_running
+			endif
+
+			testport += 1
+		elif kind == 'tap'
+			testwrap_tap = testwrap_base
+			if not tap_tests_enabled
+				testwrap_tap += ['--skip', 'TAP tests not enabled']
+			endif
+
+			test_command = [
+				perl.full_path(),
+				'-I', meson.project_source_root() / 'src/test/perl',
+				'-I', test_dir['sd'],
+			]
+
+			# Add temporary install, the build directory for non-installed binaries and
+			# also test/ for non-installed test binaries built separately.
+			env = test_env
+			env.prepend('PATH', temp_install_bindir, test_dir['bd'], test_dir['bd'] / 'test')
+			temp_install_datadir = '@0@@1@'.format(test_install_destdir, dir_prefix / dir_data)
+			env.set('share_contrib_dir', temp_install_datadir / 'contrib')
+
+			foreach name, value : t.get('env', {})
+				env.set(name, value)
+			endforeach
+
+			test_group = test_dir['name']
+			test_kwargs = {
+				'protocol': 'tap',
+				'suite': test_group,
+				'timeout': 1000,
+				'depends': test_deps + t.get('deps', []),
+				'env': env,
+			} + t.get('test_kwargs', {})
+
+			foreach onetap : t['tests']
+				# Make tap test names prettier, remove t/ and .pl
+				onetap_p = onetap
+				if onetap_p.startswith('t/')
+					onetap_p = onetap.split('t/')[1]
+				endif
+				if onetap_p.endswith('.pl')
+					onetap_p = fs.stem(onetap_p)
+				endif
+
+				test(test_dir['name'] / onetap_p,
+					python,
+					kwargs: test_kwargs,
+					args: testwrap_tap + [
+						'--testgroup', test_dir['name'],
+						'--testname', onetap_p,
+						'--', test_command,
+						test_dir['sd'] / onetap,
+					],
+				)
+			endforeach
+			install_suites += test_group
+		else
+			error('unknown kind @0@ of test in @1@'.format(kind, test_dir['sd']))
+		endif
+
+	endforeach # kinds of tests
 
 endforeach # directories with tests
 
 # repeat condition so meson realizes version dependency
 add_test_setup('tmp_install',
-  is_default: true,
-  exclude_suites: running_suites)
+	is_default: true,
+	exclude_suites: running_suites)
 add_test_setup('running',
-  exclude_suites: ['setup'] + install_suites)
+	exclude_suites: ['setup'] + install_suites)
 
 
 
@@ -3839,10 +3877,10 @@ alias_target('world', all_built, docs)
 alias_target('install-world', install_quiet, installdocs)
 
 run_target('help',
-  command: [
-    perl, '-ne', 'next if /^#/; print',
-    files('doc/src/sgml/targets-meson.txt'),
-  ]
+	command: [
+		perl, '-ne', 'next if /^#/; print',
+		files('doc/src/sgml/targets-meson.txt'),
+	]
 )
 
 
@@ -3871,36 +3909,36 @@ pg_git_revision = get_option('PG_GIT_REVISION')
 # on, Unix machines.
 
 tar_gz = custom_target('tar.gz',
-  build_always_stale: true,
-  command: [git, '-C', '@SOURCE_ROOT@',
-            '-c', 'core.autocrlf=false',
-            'archive',
-            '--format', 'tar.gz',
-            '-9',
-            '--prefix', distdir + '/',
-            '-o', join_paths(meson.project_build_root(), '@OUTPUT@'),
-            pg_git_revision],
-  output: distdir + '.tar.gz',
+	build_always_stale: true,
+	command: [git, '-C', '@SOURCE_ROOT@',
+						'-c', 'core.autocrlf=false',
+						'archive',
+						'--format', 'tar.gz',
+						'-9',
+						'--prefix', distdir + '/',
+						'-o', join_paths(meson.project_build_root(), '@OUTPUT@'),
+						pg_git_revision],
+	output: distdir + '.tar.gz',
 )
 
 if bzip2.found()
-  tar_bz2 = custom_target('tar.bz2',
-    build_always_stale: true,
-    command: [git, '-C', '@SOURCE_ROOT@',
-              '-c', 'core.autocrlf=false',
-              '-c', 'tar.tar.bz2.command="@0@" -c'.format(bzip2.full_path()),
-              'archive',
-              '--format', 'tar.bz2',
-              '--prefix', distdir + '/',
-              '-o', join_paths(meson.project_build_root(), '@OUTPUT@'),
-              pg_git_revision],
-    output: distdir + '.tar.bz2',
-  )
+	tar_bz2 = custom_target('tar.bz2',
+		build_always_stale: true,
+		command: [git, '-C', '@SOURCE_ROOT@',
+							'-c', 'core.autocrlf=false',
+							'-c', 'tar.tar.bz2.command="@0@" -c'.format(bzip2.full_path()),
+							'archive',
+							'--format', 'tar.bz2',
+							'--prefix', distdir + '/',
+							'-o', join_paths(meson.project_build_root(), '@OUTPUT@'),
+							pg_git_revision],
+		output: distdir + '.tar.bz2',
+	)
 else
-  tar_bz2 = custom_target('tar.bz2',
-    command: [perl, '-e', 'exit 1'],
-    output: distdir + '.tar.bz2',
-  )
+	tar_bz2 = custom_target('tar.bz2',
+		command: [perl, '-e', 'exit 1'],
+		output: distdir + '.tar.bz2',
+	)
 endif
 
 alias_target('pgdist', [tar_gz, tar_bz2])
@@ -3909,7 +3947,7 @@ alias_target('pgdist', [tar_gz, tar_bz2])
 # But not if we are in a subproject, in case the parent project wants to
 # create a dist using the standard Meson command.
 if not meson.is_subproject()
-  meson.add_dist_script(perl, '-e', 'exit 1')
+	meson.add_dist_script(perl, '-e', 'exit 1')
 endif
 
 
@@ -3919,101 +3957,101 @@ endif
 ###############################################################
 
 summary(
-  {
-    'data block size': '@0@ kB'.format(cdata.get('BLCKSZ') / 1024),
-    'WAL block size': '@0@ kB'.format(cdata.get('XLOG_BLCKSZ') / 1024),
-    'segment size': get_option('segsize_blocks') != 0 ?
-      '@0@ blocks'.format(cdata.get('RELSEG_SIZE')) :
-      '@0@ GB'.format(get_option('segsize')),
-  },
-  section: 'Data layout',
+	{
+		'data block size': '@0@ kB'.format(cdata.get('BLCKSZ') / 1024),
+		'WAL block size': '@0@ kB'.format(cdata.get('XLOG_BLCKSZ') / 1024),
+		'segment size': get_option('segsize_blocks') != 0 ?
+			'@0@ blocks'.format(cdata.get('RELSEG_SIZE')) :
+			'@0@ GB'.format(get_option('segsize')),
+	},
+	section: 'Data layout',
 )
 
 summary(
-  {
-    'host system': '@0@ @1@'.format(host_system, host_cpu),
-    'build system': '@0@ @1@'.format(build_machine.system(),
-                                     build_machine.cpu_family()),
-  },
-  section: 'System',
+	{
+		'host system': '@0@ @1@'.format(host_system, host_cpu),
+		'build system': '@0@ @1@'.format(build_machine.system(),
+																		 build_machine.cpu_family()),
+	},
+	section: 'System',
 )
 
 summary(
-  {
-    'linker': '@0@'.format(cc.get_linker_id()),
-    'C compiler': '@0@ @1@'.format(cc.get_id(), cc.version()),
-  },
-  section: 'Compiler',
+	{
+		'linker': '@0@'.format(cc.get_linker_id()),
+		'C compiler': '@0@ @1@'.format(cc.get_id(), cc.version()),
+	},
+	section: 'Compiler',
 )
 
 summary(
-  {
-    'CPP FLAGS': ' '.join(cppflags),
-    'C FLAGS, functional': ' '.join(cflags),
-    'C FLAGS, warnings': ' '.join(cflags_warn),
-    'C FLAGS, modules': ' '.join(cflags_mod),
-    'C FLAGS, user specified': ' '.join(get_option('c_args')),
-    'LD FLAGS': ' '.join(ldflags + get_option('c_link_args')),
-  },
-  section: 'Compiler Flags',
+	{
+		'CPP FLAGS': ' '.join(cppflags),
+		'C FLAGS, functional': ' '.join(cflags),
+		'C FLAGS, warnings': ' '.join(cflags_warn),
+		'C FLAGS, modules': ' '.join(cflags_mod),
+		'C FLAGS, user specified': ' '.join(get_option('c_args')),
+		'LD FLAGS': ' '.join(ldflags + get_option('c_link_args')),
+	},
+	section: 'Compiler Flags',
 )
 
 if llvm.found()
-  summary(
-    {
-      'C++ compiler': '@0@ @1@'.format(cpp.get_id(), cpp.version()),
-    },
-    section: 'Compiler',
-  )
-
-  summary(
-    {
-      'C++ FLAGS, functional': ' '.join(cxxflags),
-      'C++ FLAGS, warnings': ' '.join(cxxflags_warn),
-      'C++ FLAGS, user specified': ' '.join(get_option('cpp_args')),
-    },
-    section: 'Compiler Flags',
-  )
+	summary(
+		{
+			'C++ compiler': '@0@ @1@'.format(cpp.get_id(), cpp.version()),
+		},
+		section: 'Compiler',
+	)
+
+	summary(
+		{
+			'C++ FLAGS, functional': ' '.join(cxxflags),
+			'C++ FLAGS, warnings': ' '.join(cxxflags_warn),
+			'C++ FLAGS, user specified': ' '.join(get_option('cpp_args')),
+		},
+		section: 'Compiler Flags',
+	)
 endif
 
 summary(
-  {
-    'bison': '@0@ @1@'.format(bison.full_path(), bison_version),
-    'dtrace': dtrace,
-    'flex': '@0@ @1@'.format(flex.full_path(), flex_version),
-  },
-  section: 'Programs',
+	{
+		'bison': '@0@ @1@'.format(bison.full_path(), bison_version),
+		'dtrace': dtrace,
+		'flex': '@0@ @1@'.format(flex.full_path(), flex_version),
+	},
+	section: 'Programs',
 )
 
 summary(
-  {
-    'bonjour': bonjour,
-    'bsd_auth': bsd_auth,
-    'docs': docs_dep,
-    'docs_pdf': docs_pdf_dep,
-    'gss': gssapi,
-    'icu': icu,
-    'ldap': ldap,
-    'libcurl': libcurl,
-    'libnuma': libnuma,
-    'liburing': liburing,
-    'libxml': libxml,
-    'libxslt': libxslt,
-    'llvm': llvm,
-    'lz4': lz4,
-    'nls': libintl,
-    'openssl': ssl,
-    'pam': pam,
-    'plperl': [perl_dep, perlversion],
-    'plpython': python3_dep,
-    'pltcl': tcl_dep,
-    'readline': readline,
-    'selinux': selinux,
-    'systemd': systemd,
-    'uuid': uuid,
-    'zlib': zlib,
-    'zstd': zstd,
-  },
-  section: 'External libraries',
-  list_sep: ' ',
+	{
+		'bonjour': bonjour,
+		'bsd_auth': bsd_auth,
+		'docs': docs_dep,
+		'docs_pdf': docs_pdf_dep,
+		'gss': gssapi,
+		'icu': icu,
+		'ldap': ldap,
+		'libcurl': libcurl,
+		'libnuma': libnuma,
+		'liburing': liburing,
+		'libxml': libxml,
+		'libxslt': libxslt,
+		'llvm': llvm,
+		'lz4': lz4,
+		'nls': libintl,
+		'openssl': ssl,
+		'pam': pam,
+		'plperl': [perl_dep, perlversion],
+		'plpython': python3_dep,
+		'pltcl': tcl_dep,
+		'readline': readline,
+		'selinux': selinux,
+		'systemd': systemd,
+		'uuid': uuid,
+		'zlib': zlib,
+		'zstd': zstd,
+	},
+	section: 'External libraries',
+	list_sep: ' ',
 )
